Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.installer
Class AuxLibInstaller

    java.lang.Object
      com.stc.swift.installer.eInsightESBOtdLibInstaller
          com.stc.swift.installer.AuxLibInstaller

    public class AuxLibInstaller

extends eInsightESBOtdLibInstaller

Version:
  $Revision: 1.8 $
See Also:
  ``

Field Summary

Fields inherited from class com.stc.swift.installer.eInsightESBOtdLibInstaller
`COLLAB_MESSAGE_INPUT, COLLAB_MESSAGE_OUTPUT, COLLAB_WSDL_PORTTYPE, COLLAB_WSDL_TNS_PREFIX, COLON, JAVA_EXCEPTION_MESSAGE, JAVA_EXCEPTION_MESSAGE_NAME, JAVA_EXCEPTION_STACKTRACE, JAVA_EXCEPTION_TYPE, JAVA_FAULT_NAME, XSD_STRING_TYPE`

Constructor Summary
`AuxLibInstaller()`

Method Summary
`void` | `execute(com.stc.repository.Repository repository, java.io.File base, java.lang.String url, java.lang.String userName, java.lang.String password)`

Methods inherited from class com.stc.swift.installer.eInsightESBOtdLibInstaller
`calculateOTDNameFromCollabName, createWSDLObject, installValidationCollabs, retrieveCollabOTDNames, setPassword, setRepURL, setUserName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuxLibInstaller

    public AuxLibInstaller()

Method Detail

### execute

    public void execute(com.stc.repository.Repository repository,
                        java.io.File base,
                        java.lang.String url,
                        java.lang.String userName,
                        java.lang.String password)
                 throws BuildException

  Overrides:
    `execute` in class `eInsightESBOtdLibInstaller`
  Throws:
    `BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.